Subject: bug#22145: 25.0.50; tramp and auto-revert tests hang on OS X

From: Michael Albinus <[email-masked]>
Date: Fri, 01 Apr 2016 10:36:32 +0200

Michael Albinus <[email-masked]> writes:

Hi John,

[I have performed tests on John's machine]

> If I [...] call 'make -C test/automated check', Tramp tests pass. See
> tramp-tests.log.
>
> Strange. It looks, like the NIX environment makes it block. I remember,
> when bringing tramp-tests.el to hydra, there were also problems. I even
> added some code to detect whether the tests run in a NIX environment,
> see tramp-tests.el lines 78-80.

Given, that the last problems related to OS X have been solved by commit
df441b362c25c4ad59ea3d83137328d0d4098eaf, I believe we could close this
bug. Do you agree?

Of course, I'm still working on the problems with your local NIX
environment and the Tramp tests. But this is another story.

Best regards, Michael.